sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bertrand Delacretaz (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SLING-8511) Make testing compliant with Java 9 and higher
Date Mon, 15 Jul 2019 09:59:00 GMT

    [ https://issues.apache.org/jira/browse/SLING-8511?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16885023#comment-16885023
] 

Bertrand Delacretaz commented on SLING-8511:
--------------------------------------------

I have fixed the wrong jira version numbers, thank you for mentioning this - at https://issues.apache.org/jira/plugins/servlet/project-config/SLING/administer-versions?&status=released-unreleased&contains=capabilities

> Make testing compliant with Java 9 and higher
> ---------------------------------------------
>
>                 Key: SLING-8511
>                 URL: https://issues.apache.org/jira/browse/SLING-8511
>             Project: Sling
>          Issue Type: Task
>            Reporter: Oliver Lietz
>            Assignee: Oliver Lietz
>            Priority: Major
>             Fix For: Apache Sling Capabilities JCR 0.2.0
>
>
> * Set sling.java.version to 8
> * Use Sling Bundle Parent 35
> * Update Pax Exam to 4.13.1
> * Update Testing PaxExam to 3.0.0
> * Update Felix Framework to 6.0.3
> * Use scr Option
> * Remove duplicated JUnit dependency



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

Mime
View raw message